Package org.eclipse.net4j.util.om.log

## Class RollingLog.SplitEvent

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.net4j.util.event.Event
    - - org.eclipse.net4j.util.om.log.RollingLog.RollingLogEvent
      - - org.eclipse.net4j.util.om.log.RollingLog.SplitEvent

- All Implemented Interfaces:
    `java.io.Serializable`, `IEvent`
  Enclosing class:
    RollingLog

      public static final class RollingLog.SplitEvent
      extends RollingLog.RollingLogEvent

  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SplitEvent​(RollingLog rollingLog, java.io.File lastFile, int lastFileNumber)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.lang.String` | `formatAdditionalParameters()` |
    `java.io.File` | `getLastFile()` |
    `int` | `getLastFileNumber()` |

    - ### Methods inherited from class org.eclipse.net4j.util.om.log.RollingLog.RollingLogEvent

      `getSource`

    - ### Methods inherited from class org.eclipse.net4j.util.event.Event

      `formatEventName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SplitEvent

          public SplitEvent​(RollingLog rollingLog,
                            java.io.File lastFile,
                            int lastFileNumber)

  - ### Method Detail

    - #### getLastFile

          public java.io.File getLastFile()

    - #### getLastFileNumber

          public int getLastFileNumber()

    - #### formatAdditionalParameters

          protected java.lang.String formatAdditionalParameters()

      Overrides:
        `formatAdditionalParameters` in class `Event`